Package: org.grails.core

## [Java] Class AbstractInjectableGrailsClass

- org.grails.core.AbstractInjectableGrailsClass

- All Implemented Interfaces and Traits:
    InjectableGrailsClass

      public abstract class AbstractInjectableGrailsClass
      extends AbstractGrailsClass
      implements InjectableGrailsClass

  Configures Grails classes to be autowirable by name, always.

  Authors:
    Graeme Rocher
    Steven Devijver
  Since:
    0.1

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractGrailsClass` | `classPropertyFetcher, clazz, fullName, grailsApplication, isAbstract, logicalPropertyName, name, naturalName, packageName, propertyName, shortName`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractInjectableGrailsClass (java.lang.Class<?> clazz, java.lang.String trailingName)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `byName()`
    `` | `public boolean` | `byType()`
    `` | `public boolean` | `getAvailable()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractGrailsClass` | `getApplication, getClazz, getFullName, getLogicalPropertyName, getMetaClass, getMetaProperties, getName, getNaturalName, getPackageName, getPluginName, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReferenceInstance, getShortName, getStaticPropertyValue, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, isAbstract, isActionMethod, isReadableProperty, newInstance, resolvePropertyFetcher, setGrailsApplication, toString`

- - ### Constructor Detail

    - #### public AbstractInjectableGrailsClass(java.lang.Class<?> clazz, java.lang.String trailingName)

  - ### Method Detail

    - #### public boolean byName()

    - #### public boolean byType()

    - #### public boolean getAvailable()